<a href="https://www.telerik.com/kendo-angular-ui/components/dialogs" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Dialogs Package

> * This package is part of the [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/)&mdash;a commercial UI library.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular team!

The Kendo UI for Angular Dialogs components communicate specific information to the users, and prompt them to take actions.

## What's Included in the Angular Dialogs Package

The [Angular Dialogs](https://www.telerik.com/kendo-angular-ui/components/dialogs) package includes two built-in components:

* [Angular Dialog Component](https://www.telerik.com/kendo-angular-ui/components/dialogs/dialog)
* [Angular Window Component](https://www.telerik.com/kendo-angular-ui/components/dialogs/window)

## Key Features

Among the many features which the Kendo UI for Angular Dialogs deliver are:

* Action Buttons&mdash;The Dialogs support different approaches for rendering action buttons and also for customizing their content and appearance. [Read more about the action buttons of the Dialog...](https://www.telerik.com/kendo-angular-ui/components/dialogs/dialog/action-buttons)
* Initial Focus&mdash;You can use the options provided by the Dialogs components to define which element will be focused upon their initial loading. [Read more about the initial element focus of the Dialog...](https://www.telerik.com/kendo-angular-ui/components/dialogs/dialog/initial-focus)
* State Management&mdash;The Kendo UI for Angular Dialogs support various rendering states. The Dialog always displays an overlay element preventing the interaction with other elements on the page, while the Window supports maximized and minimized state. [Read more about the maximized and minizimed state of the Window...](https://www.telerik.com/kendo-angular-ui/components/dialogs/window/minimizing-maximizing)
* Sizing&mdash;All Kendo UI for Angular Dialogs allow you to customize their dimensions. By default, the components automatically calculate their height so they can fit the displayed content. Read more about the dimensions of the [Dialog](https://www.telerik.com/kendo-angular-ui/components/dialogs/dialog/dimensions) and [Window](https://www.telerik.com/kendo-angular-ui/components/dialogs/window/dimensions-resizing).
* Angular Service Support&mdash;All Kendo UI for Angular Dialogs enable you to create their instances dynamically avoiding, in this way, the necessity for defining the components in templates. [Read more about the service implementation in the Dialog...](https://www.telerik.com/kendo-angular-ui/components/dialogs/dialog/service)
* Appearance&mdash;You can use the options provided by the Dialogs components to customize their appearance. Read more about the customizable appearance of the [Dialog](https://www.telerik.com/kendo-angular-ui/components/dialogs/dialog/appearance) and [Window...](https://www.telerik.com/kendo-angular-ui/components/dialogs/window/appearance).
* Globalization&mdash;The Kendo UI for Angular Dialogs support globalization to ensure that each Dialogs component can fit well in any application, no matter what languages and locales need to be supported. Additionally, the Dialogs support rendering in a right-to-left (RTL) direction. [Read more about Dialogs globalization...](https://www.telerik.com/kendo-angular-ui/components/dialogs/globalization)
* Accessibility&mdash;The Dialogs are accessible for screen readers and support WAI-ARIA attributes. [Read more about accessibility support of the Dialog...](https://www.telerik.com/kendo-angular-ui/components/dialogs/dialog/accessibility)
* Keyboard Navigation&mdash;The Dialogs support a number of keyboard shortcuts which alow users to accomplish various commands. [Read more about the keyboard navigation of the Dialog...](https://www.telerik.com/kendo-angular-ui/components/dialogs/dialog/keyboard-navigation)

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Dialogs, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-center/contact-us/technical-support).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Dialogs](https://www.telerik.com/kendo-angular-ui/components/dialogs/installation/getting-started)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
